Skip to main content
POST
Create email campaign

Authorizations

Authorization
string
header
required

Authorization: Bearer tlv_…

Headers

Idempotency-Key
string

Optional. A unique value (e.g. a UUID) per operation, up to 255 characters. Retrying with the same key and body returns the first response instead of doing it again. Kept 24 hours.

Example:

"5f1c2b0e-8d6a-4c1f-9a43-2b7e0f6d1a90"

Body

application/json
name
string
required

For your reference.

subject
string
required

Subject line.

htmlBody
string
required

HTML content. An unsubscribe footer is added for marketing emails.

textBody
string

Plain-text version.

fromEmail
string

A sender on a verified domain.

fromName
string

Sender name.

replyTo
string

Reply-to address.

contactListIds
string[]

Contact lists to send to.

manualEmails
string[]

Extra addresses.

campaignType
enum<string>

Default marketing.

Available options:
marketing,
transactional
sendType
enum<string>

Default immediate.

Available options:
immediate,
scheduled
scheduledAt
string<date-time>

Required when scheduled.

Response

Success